Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal.security.provider
Class PermissionManagerImpl

    java.lang.Object
      org.jasig.portal.security.provider.PermissionManagerImpl

All Implemented Interfaces:
  IPermissionManager

Direct Known Subclasses:
  UpdatingPermissionManagerImpl

    public class PermissionManagerImpl

extends java.lang.Object
implements IPermissionManager

Version:
  $Revision: 1.5 $
Author:
  Bernie Durfee (bdurfee@interactivebusiness.com), Dan Ellentuck (de3@columbia.edu)

Field Summary
`private AuthorizationImpl` | `authorizationService`
`private java.lang.String` | `owner`
`protected static IPermissionStore` | `permissionStore`

Constructor Summary
`PermissionManagerImpl(java.lang.String newOwner, AuthorizationImpl authService)` This constructor ensures that the PermissionManager will be created with an owner specified

Method Summary
`IPermission[]` | `getAllPermissions(IAuthorizationPrincipal principal, java.lang.String activity, java.lang.String target)` Retrieve an array of `IPermission` objects based on the given parameters.
`(package private) AuthorizationImpl` | `getAuthorizationService()`
`IAuthorizationPrincipal[]` | `getAuthorizedPrincipals(java.lang.String activity, java.lang.String target)` Returns `IAuthorizationPrincipals` granted `IPermissions` by the owner of this `IPermissionManager`, for the given `activity` and `target`.
`java.lang.String` | `getOwner()`
`IPermission[]` | `getPermissions(IAuthorizationPrincipal principal, java.lang.String activity, java.lang.String target)` Retrieve an array of IPermission objects based on the given parameters.
`IPermission[]` | `getPermissions(java.lang.String activity, java.lang.String target)` Retrieve an array of IPermission objects based on the given parameters.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### authorizationService

    private AuthorizationImpl authorizationService

### permissionStore

    protected static IPermissionStore permissionStore

### owner

    private java.lang.String owner

Constructor Detail

### PermissionManagerImpl

    public PermissionManagerImpl(java.lang.String newOwner,
                                 AuthorizationImpl authService)

  This constructor ensures that the PermissionManager will be created with an owner specified

  Parameters:
    `newOwner` - the new owner
    `authService` - the authorization service

Method Detail

### getAllPermissions

    public IPermission[] getAllPermissions(IAuthorizationPrincipal principal,
                                           java.lang.String activity,
                                           java.lang.String target)
                                    throws AuthorizationException

  Retrieve an array of `IPermission` objects based on the given parameters. Includes inherited `Permissions`. Any null parameters will be ignored.

  Specified by:
    `getAllPermissions` in interface `IPermissionManager`
  Parameters:
    `principal` - IAuthorizationPrincipal
    `activity` - String
    `target` - String
  Returns:
    IPermission[]
  Throws:
    `AuthorizationException`

### getAuthorizationService

    AuthorizationImpl getAuthorizationService()

  Returns:
    org.jasig.portal.security.provider.AuthorizationImpl

### getAuthorizedPrincipals

    public IAuthorizationPrincipal[] getAuthorizedPrincipals(java.lang.String activity,
                                                             java.lang.String target)
                                                      throws AuthorizationException

  Returns `IAuthorizationPrincipals` granted `IPermissions` by the owner of this `IPermissionManager`, for the given `activity` and `target`. If either parameter is null, it is ignored.

  Specified by:
    `getAuthorizedPrincipals` in interface `IPermissionManager`
  Parameters:
    `activity` - String - the Permission activity
    `target` - String - the Permission target
  Returns:
    IAuthorizationPrincipal[]
  Throws:
    `AuthorizationException`

### getOwner

    public java.lang.String getOwner()

  Specified by:
    `getOwner` in interface `IPermissionManager`
  Returns:
    java.lang.String

### getPermissions

    public IPermission[] getPermissions(java.lang.String activity,
                                        java.lang.String target)
                                 throws AuthorizationException

  Retrieve an array of IPermission objects based on the given parameters. Any null parameters will be ignored.

  Specified by:
    `getPermissions` in interface `IPermissionManager`
  Parameters:
    `activity` - String
    `target` - String
  Returns:
    IPermission[]
  Throws:
    `AuthorizationException`

### getPermissions

    public IPermission[] getPermissions(IAuthorizationPrincipal principal,
                                        java.lang.String activity,
                                        java.lang.String target)
                                 throws AuthorizationException

  Retrieve an array of IPermission objects based on the given parameters. Any null parameters will be ignored.

  Specified by:
    `getPermissions` in interface `IPermissionManager`
  Parameters:
    `principal` - IAuthorizationPrincipal
    `activity` - String
    `target` - String
  Returns:
    IPermission[]
  Throws:
    `AuthorizationException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD